Constructor

- « Yac::add

- Yac::delete »

- PHP Manual
- Yac
- Constructor

# Yac::__construct

(PECL yac >= 1.0.0)

Yac::__construct — Constructor

### Description

public Yac::__construct(string `$prefix` = "")

prefix is used to prepended to keys, this could be used to avoiding conflicts between apps.

### Parameters

`prefix`

  string prefix

### Errors/Exceptions

Throws an Exception if Yac is not enabled. Throws Exception if `prefix` exceeds max key length of 48 (`YAC_MAX_KEY_LEN`) bytes.